#ifndef SHORT_H
#define SHORT_H

#include <QDialog>
#include <QtGui>
#include <QLCDNumber>

class QLabel;
class QGroupBox;

class Dialog : public QDialog
{
     	Q_OBJECT

public:
	Dialog(QWidget *parent = 0);

private slots:
	void setTimer();
	void measure();
	void stopMeasure();
	
private:
	QGroupBox *LTC();
	QRadioButton *LTC1090;
	QRadioButton *LTC1290;

	QGroupBox *Kanal();
	QCheckBox *Kanal1;
	QCheckBox *Kanal2;
	QCheckBox *Kanal3;
	QCheckBox *Kanal4;
	QCheckBox *Kanal5;
	QCheckBox *Kanal6;
	QCheckBox *Kanal7;
	QCheckBox *Kanal8;

	QLCDNumber *kanal1;
	QLCDNumber *kanal2;
	QLCDNumber *kanal3;
	QLCDNumber *kanal4;
	QLCDNumber *kanal5;
	QLCDNumber *kanal6;
	QLCDNumber *kanal7;
	QLCDNumber *kanal8;
	
	QLabel *klab1;
	QLabel *klab2;
	QLabel *klab3;
	QLabel *klab4;
	QLabel *klab5;
	QLabel *klab6;
	QLabel *klab7;
	QLabel *klab8;

	QTimer *timer;

	QPushButton *exit;
	QPushButton *ok;

};

#endif

